#include <lpc214x.h>
#include "gpio.h"

extern ADC0_Init(void)
{
// Enable ADC0
 AD0CR &= 0x00;		   // Clear All Bit Control
 AD0CR |= CLK_5;		// ADC Clock = VPB(PCLK) / 4
 AD0CR &= BURST_OFF;		// Busrt = 0		- Conversions are software controlled and reguire 11 clocks
 AD0CR &= BURST_ON ;		// CLKS  = 000		- 10Bit : 11 Cycle Clock Conversion	   19:17    0001 = 1
 AD0CR |= PDN_ON;		// PDN   = 1			- Active ADC Module
}

extern unsigned int adc0_channel_1(void)
{
 unsigned int	val;
 PINSEL1 |= AD0_1;	                   //  channel 0 in adc0
 AD0CR &= ADC0_CH_DISABLE;
 AD0CR   |= CH_1;		               // Select ADC = AD0.1  
 AD0CR   |= ADC_start;	               // START = 001 = Start Conversion Now
 while(ADC0_Wait_CH1 == 0);	          // Wait ADC Conversion to Complete and Read A/D Data Register
 val = (unsigned int)Result0_CH1;     // Shift ADC Result to Integer	  // 15:6
 ADC_Stop;                           //stop =000
 return (val);
} 

